/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.interfaces;

import java.util.List;

/**
 * An {@link IStorageProvider} implements a storage mechanism for EMF models. A
 * storage provider must deliver an {@link ITopLevelElementContext} for each
 * model under his supervision. It may rely on other parts of the Eclipse
 * workbench like the Team feature or EMFStore providing remote storage
 * capability. After the context was provided to the kernel it invokes the
 * methods of the context to execute commands, save, an so on.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 94E6ACB100AAF673434E0A0F9B548357
 */
public interface IStorageProvider {

	/** Returns the top-level elements provided by this storage provider. */
	List<ITopLevelElementContext> getTopLevelElementContexts();

}
